;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;  sample init file for Pearl Lisp.
;;
;;  If there is a file called init.lisp or init.fasl in the same folder
;;  as Pearl Lisp, this file will be loaded when Pearl Lisp is started.
;;
;;  The init file is a good place to set the values of system parameters,
;;  and load any utility files which you always want to have around.


(setq *load-verbose* t)
(setq *verbose-eval-selection* t)
(setq *break-on-errors* nil)

;;;you should evaluate the following expression if you are running Pearl Lisp
;;;from two floppy disks.  This will ensure that the Library folder is visible.
;;;
;;;<the following assumes that the Library folder is on a disk named "Disk A">
;;;

;(def-logical-pathname "library" "Disk A:library:")

;;you may also wish to define a logical pathname for the Examples folder

;(def-logical-pathname "examples" "Disk A:examples:")

;;;remove the semi-colons if you want Pearl to load these files when it boots
;(require 'traps)
;(require 'records)
;(require 'quickdraw)