/*******************************************************************\
*	file: 		ErrorStrings.r										*
*	version:	0.03 												*
* 																	*
* Error String Resources for the Appletalk manager					*
* -----------------------------------------------------------------	*
* By:	Donald Koscheka												*
* Date:	25-Sept-87													*
* 	Copyright 1987, Apple Computer, Inc.							*
* All Rights Reserved												*
*																	*
* -----------------------------------------------------------------	*
*						Modification History						*
* -----------------------------------------------------------------	*
*  Date	   	| By	|	 				Description					*
* -----------------------------------------------------------------	*
* 25-Sep-87	| DK	| file created									*
* -----------------------------------------------------------------	*
\*******************************************************************/


#include "Types.r"

resource 'STR '( -3107 ){
		"Bad response from ATPRequest";
};

resource 'STR ' ( -3106 ){
		"ATP response message too large";
};

resource 'STR ' ( -1099 ){
		"APT bad responding socket";
};

resource 'STR ' ( -1100 ){
		"ATP bad sequence number";
};

resource 'STR ' ( -3101 ){
		"ALAP frame or DDP datagram too large for buffer";
};

resource 'STR ' ( -1102 ){
		"ATP control block not found";
};

resource 'STR ' ( -3103 ){
		"DDP bad checksum";
};

resource 'STR ' ( -92 ){
		"DDP datagram or ALAP data length too big";
};

resource 'STR ' ( -91 ){
		"DDP socket error (-91)";
};

resource 'STR ' ( -95 ){
		"ALAP no CTS received (-95)";
};

resource 'STR ' ( -3104 ){
		"NBP can't find tuple in buffer";
};

resource 'STR ' ( -94 ){
		"ALAP attach/detach error (-94)";
};

resource 'STR ' ( -1024 ){
		"NBP buffer overflow";
};

resource 'STR ' ( -1026 ){
		"NBP name confirmed for different socket";
};

resource 'STR ' ( -1027 ){
		"NBP duplicate name already exists";
};

resource 'STR ' ( -1029 ){
		"NBP names information socket error";
};

resource 'STR ' ( -1025 ){
		"NBP name not confirmed";
};

resource 'STR ' ( -1028 ){
		"NBP name not found";
};

resource 'STR ' ( -93 ){
		"No bridge found";
};

resource 'STR ' ( -1104 ){
		"Too many outstanding ATP calls";
};

resource 'STR ' ( -3102 ){
		"MPP driver not installed";
};

resource 'STR ' ( -1101 ){
		"ATP no release received";
};

resource 'STR ' ( -1103 ){
		"ATPAddRsp issued before ATPSndRsp";
};

resource 'STR ' ( -97 ){
		"Driver open error, port already in use";
};

resource 'STR ' ( -98 ){
		"Driver open error, port no configured for this connection";
};

resource 'STR ' ( -3105 ){
		"Socket or protocol type invalid or not found in table";
};

resource 'STR ' ( -3108 ){
		"ATATPRecord not found";
};

resource 'STR ' ( -1105 ){
		"Request Aborted";
};

resource 'STR ' ( -1096 ){
		"ATPSndRequest failed: retry count exceeded";
};

resource 'STR ' ( -3109 ){
		"Async call aborted - socket was closed before call was completed";
};

resource 'STR ' ( -1097 ){
		"ATP too many concurrent requests";
};

resource 'STR ' ( -1098 ){
		"ATP too many responding sockets";
};

