(*
	blankVideo - Set blanking for next search or play command.

	To compile and link this file using Macintosh Programmer's Workshop,

		pascal -w blankVideo.p
		link -m ENTRYPOINT -o HyperCommands -rt XCMD=8000 -sn Main=blankVideo 
			blankVideo.p.o "{MPW}"Libraries:interface.o

	Copyright  1988 Apple Computer, Inc.

	2/88 - Initial coding by Harry R. Chesley.
*)

{$R-}

{$S blankVideo } 	{ Segment name must be the same as the command name. }

unit DummyUnit;

interface

uses MemTypes, QuickDraw, OSIntf, HyperXCmd;

procedure EntryPoint(paramPtr: XCmdPtr);
	
implementation

type

Str31 = String[31];

procedure blankVideo(paramPtr: XCmdPtr); forward;

procedure EntryPoint(paramPtr: XCmdPtr);

	begin
		blankVideo(paramPtr);
	end;

procedure blankVideo(paramPtr: XCmdPtr);

	{$I XCmdGlue.inc}

	procedure Fail(errMsg: Str255); { set theResult and quit }
		begin
			paramPtr^.returnValue := PasToZero(errMsg);
			exit(blankVideo);
		end;

	{$I VideoUtil.inc}

	begin
		if paramPtr^.paramCount <> 0 then Fail('parameter count is not 0');

		{ Set the global that specifies blanking... }
		SetStrGlobal('blankNextVideo','true');
	end;

end.
